pidentd-2.7b1 & NetBSD 1.1A

pidentd-2.7b1 & NetBSD 1.1A

Post by Pete Phili » Sat, 25 May 1996 04:00:00



I've recently downloaded the latest release of pidentd, 2.7b1 and
am having great difficulty getting it to compile on a NetBSD box.

I am using NetBSD 1.1A. When I do a "make netbsd" I get the following:

Building for NetBSD ...
cc -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM  -c identd.c
identd.c: In function `main':
identd.c:579: warning: passing arg 2 of `signal' from incompatible pointer type
cc -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM  -c parse.c
cc -c -I. -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM kernel/386bsd.c
kernel/386bsd.c:35: sys/kinfo.h: No such file or directory
*** Error code 1

On closer inspection, there doesn't seem to be a kinfo.h anywhere on my
system. I have tried making for all the other BSD platforms with no luck.
The only one I could get it to compile cleanly for was linux(!). Needless
to say, this didn't work anyway!

Anyone else got pident to compile?

Many thanks,

Pete Philips

 ------------------------------------------------------
|   Pete Philips                                  \|/  |

 ------------------------------------------------------

 
 
 

pidentd-2.7b1 & NetBSD 1.1A

Post by Andrew Whead » Mon, 27 May 1996 04:00:00




>I've recently downloaded the latest release of pidentd, 2.7b1 and
>am having great difficulty getting it to compile on a NetBSD box.
>I am using NetBSD 1.1A. When I do a "make netbsd" I get the following:

NetBSD 1.1A, and 1.1 for the matter of fact, come with a working
version of identd (which is actually pident 2.1.2), so what do you
need the latest greatest pidentd for?

But if you do need it, try comparing the changes any changes that
were done in the 2.1.2 source and transfering them to 2.7b1

Cheerio
--
The cost of living hasn't affected it's popularity. (Mark Twain)
current release=doc host=wipux2.wifo.uni-mannheim.de \ "NetBSD-current mirror"
hostbase=/mit/ftp/pub/NetBSD base=/usr prefix=/usr backup delete use-rel-suffix

 
 
 

pidentd-2.7b1 & NetBSD 1.1A

Post by Pete Phili » Wed, 29 May 1996 04:00:00




: >I've recently downloaded the latest release of pidentd, 2.7b1 and
: >am having great difficulty getting it to compile on a NetBSD box.
: >I am using NetBSD 1.1A. When I do a "make netbsd" I get the following:
:
: NetBSD 1.1A, and 1.1 for the matter of fact, come with a working
: version of identd (which is actually pident 2.1.2), so what do you
: need the latest greatest pidentd for?

Arrrrggghh! Thanks very much.
Being more accustomed to a Solaris environment where you get NOTHING as
standard, I completely forgot to see if I already had it.

Many thanks,

Pete

 ------------------------------------------------------
|   Pete Philips                                  \|/  |

 ------------------------------------------------------

 
 
 

1. pidentd-2.7b1 & NetBSD

I've recently downloaded the latest release of pidentd, 2.7b1 and
am having great difficulty getting it to compile on a NetBSD box.

I am using NetBSD 1.1A. When I do a "make netbsd" I get the following:

Building for NetBSD ...
cc -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM  -c identd.c
identd.c: In function `main':
identd.c:579: warning: passing arg 2 of `signal' from incompatible pointer type
cc -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM  -c parse.c
cc -c -I. -O -DBSD386  -DINCLUDE_EXTENSIONS -DHAVE_KVM kernel/386bsd.c
kernel/386bsd.c:35: sys/kinfo.h: No such file or directory
*** Error code 1

On closer inspection, there doesn't seem to be a kinfo.h anywhere on my
system. I have tried making for all the other BSD platforms with no luck.
The only one I could get it to compile cleanly for was linux(!). Needless
to say, this didn't work anyway!

Anyone else got pident to work on NetBSD?

Many thanks,

Pete Philips

 ------------------------------------------------------
|   Pete Philips                                  \|/  |

 ------------------------------------------------------

2. gethostbyname error info request

3. pidentd-2.2 for solaris 2.4

4. lots of kdeinit <-> can't launch new apps

5. Solaris 2.5.1 + pidentd-2.7a7

6. Need help with updatedb

7. Q: pidentd & Sol8 & 64Bit

8. Network install for WordPerfect

9. Mosaic-2.7b1 & OSE 5

10. NetBSD 1.1A Issue/Questions...

11. NetBSD 1.1A

12. &#1056;&#1091;&#1089;&#1080;&#1092;&#1080;&#1082;&#1072;&#1094;&#1080;&#1103; NetBSD (1.5.1) Locale koi8-r

13. pidentd & sndconfig Questions